function AlwaysTrue()
	return true
end

-- eigener Held, mit unit-Zuordnung
function CreateAndAssignHero(unit_id)
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Lorenzo_D'Avanzo"
	hero.extra_traits = {UnitTrait.Leadership}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)

	local assign_hero_action = world:MakeAssignHeroAction(world:GetUnit(unit_id), hero.id)
	world:Exec(assign_hero_action)
end

-- eigener Held, ohne unit-Zuordnung
function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Antonio_TankKiller"
	hero.extra_traits = {UnitTrait.TankKiller}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end

function Heros()
	CreateAndAssignHero(16) -- "16" ist die unit-ID, der Einheit, die den Helden erhlt
	CreateHero()
end


function B1()
	return world.round == 6	-- wird in Runde 5 ausgefhrt
end

-- alle AI Einheiten erhalten einen neuen Befehl
function SetOrder(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- AI Befehl fr die nchste Runde
function F1()
	MessageBox("Warnung", "Weitere Briten greifen an.")
	SetOrder("AIOrderAttacker")
end
