function AlwaysTrue()
	return true
end

-- eigener Held, ohne unit-Zuordnung
function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Panzer_PhasedMovement"
	hero.extra_traits = {UnitTrait.PhasedMovement}
	hero.modifiers = {{type = Initiative, mod = 1}}
	hero.unit_classes = {UnitClass.Tank}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


-- Count=1, Action=EndTurnAction
function B1()
	return world.round == 8	-- wird eine Runde vorher ausgefhrt
end

-- alle AI Einheiten erhalten einen Angriffs-Befehl
function SetOrder(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders
			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- AI Befehl fr die nchste Runde
function F1()
	MessageBox("Warnung", "Weitere Feinde greifen an.")
	SetOrder("AIOrderAttacker")
end
