-- eigener Held, ohne unit-Zuordnung
-- Count=1, Condition='leer', StartTurnAction
function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Jagt_StrikesFirst"
	hero.unit_classes = {UnitClass.Fighter}
	hero.extra_traits = {UnitTrait.StrikesFirst}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


-- alle AI Einheiten erhalten einen Angriffs-Befehl
-- Count=1, Condition=Runde, Action=EndTurnAction, function=Angriff
function Runde()
	return world.round == 10	-- wird eine Runde vorher ausgefhrt
end

function SetOrder(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders
			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- AI Befehl fr die nchste Runde
function Angriff()
	MessageBox("Warnung", "Weitere Feinde greifen von SO aus an.")
	SetOrder("AIOrderAttacker")
end
