function AlwaysTrue()
	return true
end

-- eigener Held, ohne unit-Zuordnung
function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Pietro_DoubleAttack"
	hero.extra_traits = {UnitTrait.DoubleAttack}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


function B1()
	return world.round == 7	-- wird in Runde 6 ausgefhrt
end

-- alle AI Einheiten erhalten einen neuen Befehl
function SetOrder(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- AI Befehl fr die nchste Runde
function F1()
	MessageBox("Warnung", "Weitere Briten greifen an.")
	SetOrder("AIOrderAttacker")
end


function B2()			-- Bedingung im Editor: Trigger Rundenanfang
	return world.round == 1
end

function F2()		-- neue Einheit erzeugen und platzieren + Ausgabe Nachricht 
	local feld = {26,11}			-- Ort
	local einheit = "ITJu87R"			-- ID der Einheit, siehe erste Spalte in Units.csv
	local player = world:GetPlayer(0)	-- welcher Spieler? (hier: 1.Spieler)
	local create_action = world:MakePurchaseAction(player, einheit, "", 0)	-- Einkauf welcher Einheit?
-- Parameter von MakePurchaseAction: Spieler, Einheit, Transporter, berstrke
-- Spieler, siehe Variable player; Einheit und Transporter findet man in der ersten Spalte von Units.csv
	create_action.auxiliary = false		-- Hilfs- oder Kerneinheit? (Kerneinheit)
	create_action.cost = 0			-- Preis? 0
	world:Exec(create_action)			-- Kaufaktion!
	local unit = world:GetUnit(create_action.id)	-- welche Einheit?
	local hex = world:GetHex(feld)			-- welches Hex?
	if (hex:GetUnit(0) == nil) then		-- prfen, ob Hex frei ist
		deploy_action = world:MakeDeployAction(unit,feld)	-- definieren, was wo platziert wird
		world:Exec(deploy_action)						-- Platzierung der Einheit!
	end

	MessageBox("", "Eine Ju87R wurde geliefert.")		-- Ausgabe Nachricht
end
