-- eigener Held, ohne unit-Zuordnung
-- Count=1, Condition='leer', StartTurnAction
function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Arti_EntrenchmentRangeNaval"
	hero.extra_traits = {UnitTrait.IgnoresEntrenchment}
	hero.modifiers = {{type = Range, mod = 1}}
	hero.attack_modifiers = {{type = TargetType.Naval, mod = 1}}
	hero.unit_classes = {UnitClass.Artillery}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


-- alle AI Einheiten erhalten einen Angriffs-Befehl
-- Count=1, Condition=Runde, Action=EndTurnAction, function=Angriff
function Runde()
	return world.round == 8	-- wird eine Runde vorher ausgefhrt
end

function SetOrder(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders
			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- AI Befehl fr die nchste Runde
function Angriff()
	MessageBox("Warnung", "Der Feind hat uns umgangen und greift uns von Nord-Westen aus an.")
	SetOrder("AIOrderAttacker")
end
