-- eigener Held, ohne unit-Zuordnung
-- Count=1, Condition='leer', StartTurnAction
function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Jag_StrikesFirstAir"
	hero.extra_traits = {UnitTrait.StrikesFirst}
	hero.attack_modifiers = {{type = TargetType.Air, mod = 1}}
	hero.unit_classes = {UnitClass.Fighter}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


-- alle AI Einheiten erhalten einen Angriffs-Befehl
-- Count=1, Condition=Runde, Action=EndTurnAction, function=Angriff
function Runde()
	return world.round == 7	-- wird eine Runde vorher ausgefhrt
end

function SetOrder(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders
			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- AI Befehl fr die nchste Runde
function Angriff()
	MessageBox("Warnung", "Weitere Feinde greift an.")
	SetOrder("AIOrderAttacker")
end


function R8()
	return world.round == 8
end

function Meldung()
	TutorialMessage("Sie erhalten 1000 Prestige, damit Sie den tunesischen Brückenkopf halten können. Mehr können wir in Nordafrika nicht mehr investieren.")					
end
